Core - Feature # 58621

Status: Resolved Priority: Should have
Author: Bjoern Jacob Category: Fluid

Created: 2014-05-08 Assigned To: Alexander Schnitzler
Updated: 2015-03-02 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Format.Case ViewHelper in order to change the case of string values

Description

It would be great to have a case viewhelper in TYPO3 CMS as well. See #44572 for further information.

Related issues:

related to TYPOS.Fluid - Feature # 44572: Format.Case ViewHelper in order to ... Resolved 2013-01-16

Associated revisions

Revision 5963014 - 2015-03-02 17:15 - Alexander Schnitzler

[FEATURE] Add a Format.Case ViewHelper

This adds a Format.Case ViewHelper that changes
a string's case in various manners like uppercase,
lowercase, (un-)capitalization and

each-word-capitalization.

Resolves: #58621

Releases: master

Change-Id: [182fae00a8bf11b6188e73bdd9cf15011ed3620d
Reviewed-on: http://review.typo3.0rg/36913

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Nicole Cordes <typo3@cordes.co>
Tested-by: Nicole Cordes <typo3@cordes.co>

History

#1 - 2014-09-16 11:31 - Alexander Opitz
- Status changed from New to Needs Feedback

Hi,

was this issue fixed or does it still exists?

#2 - 2014-09-26 14:39 - Bjoern Jacob
No. This issue is not fixed It's also not a bug - it's a feature. The format.case viewhelper does not exist in TYPO3 6.2. I've checked the folder

/typo3/sysext/fluid/Classes/ViewHelpers/Format and there is no case viewhelper. So this would still be a great backport - maybe even for 6.2.

#3 - 2014-09-29 10:01 - Alexander Opitz

- Project changed from Fluid to Core

- Category set to Fluid

- Status changed from Needs Feedback to New

Ok, so it needs to be backported from TYPO3.Fluid.

#4 - 2014-09-29 10:23 - Bjoern Jacob

Awesome!

#5 - 2015-02-14 20:26 - Alexander Schnitzler
- Status changed from New to Accepted
- Assigned To set to Alexander Schnitzler

#6 - 2015-02-14 21:05 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36913

#7 - 2015-02-23 17:56 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36913

#8 - 2015-03-02 15:34 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/36913

#9 - 2015-03-02 16:57 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36913

#10 - 2015-03-02 17:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04

2/3


http://review.typo3.org/36913
http://review.typo3.org/36913
http://review.typo3.org/36913
http://review.typo3.org/36913

Applied in changeset commit:5e963014549d3ca9511e58ea2f9a766474033619.
